/*
 * Hardware info about DEC DECstation DS2100/3100 systems (otherwise known
 * as pmax or kn01.
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 1995,1996 by Paul M. Antoine, some code and definitions
 * are by curteousy of Chris Fraser.
 *
 * This file is under construction - you were warned!
 */
#include <asm/segment.h>
#ifndef __ASM_MIPS_DEC_KN01_H 
#define __ASM_MIPS_DEC_KN01_H 

/*
 * The addresses below are virtual address. The mappings are
 * created on startup via wired entries in the tlb.
 */

#define KN01_LOCAL_IO_SPACE     0xe0000000

/*
 * Motherboard regs (kseg1 addresses)
 */
#define KN01_SSR_ADDR	KSEG1ADDR(0x1ff00000)	/* system control & status reg */

/*
 * SSR defines
 */
#define KN01_SSR_LEDMASK	0x0000001000		/* diagnostic LED */

#ifndef __LANGUAGE_ASSEMBLY__

extern __inline__ void kn01_set_led(unsigned int bits)
{
	volatile unsigned int *led_register = (unsigned int *) KN01_SSR_ADDR;

	*led_register = bits & KN01_SSR_LEDMASK;
}

#endif /* language assembly */

/*
 * Some port addresses...
 * FIXME: these addresses are incomplete and need tidying up!
 */
#define KN01_DZ11_BASE	(KSEG1ADDR(0x1c000000)) /* 0xBC000000 */
#define KN01_RTC_BASE	(KSEG1ADDR(0x1d000000)) /* 0xBD000000 */

/*
 * Interrupt request levels
 */
#define	KN01_SCSI_IRQ		2
#define	KN01_LANCE_IRQ		3
#define	KN01_DZ11_IRQ		4
#define	KN01_RTC_IRQ		5
#define	KN01_MEMCTRLR_IRQ	6

#endif /* __ASM_MIPS_DEC_KN01_H */
